"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isArgumentsLikeNode = exports.isArrayLikeNode = void 0;
const arrayLikeNodeTypes = ((
// maintain types with input strictness
input) => input)([
    'ArrayExpression',
    'ArrayPattern',
    // this expression type isn't accounted for in the types, but I saw it used in another plugin
    'TupleExpression',
]);
function isArrayLikeNode(node) {
    return arrayLikeNodeTypes.includes(node.type);
}
exports.isArrayLikeNode = isArrayLikeNode;
const argumentsLikeNodeTypes = ((
// maintain types with input strictness
input) => input)([
    'CallExpression',
    'NewExpression',
    'ArrowFunctionExpression',
    'FunctionDeclaration',
    'FunctionExpression',
]);
function isArgumentsLikeNode(node) {
    return argumentsLikeNodeTypes.includes(node.type);
}
exports.isArgumentsLikeNode = isArgumentsLikeNode;
